<?php declare(strict_types=1);

namespace App\Entity;

/**
 *
 */
class Panel
{
	private int $id;
	private String $name;
	private String $a;
	private String $aaaa;
	private String $apikey;
	private int $self;
	
	/**
	 * @param String $name
	 * @param int    $id
	 * @param String $a
	 * @param String $aaaa
	 * @param String $apikey
	 * @param int    $self
	 */
	public function __construct(String $name, int $id = 0, String $a = '', String $aaaa = '', String $apikey = '', int $self = 0)
	{
		$this->id = $id;
		$this->name = $name;
		$this->a = $a;
		$this->aaaa = $aaaa;
		$this->apikey = $apikey;
		$this->self = $self;
	}
	
	/**
	 * @return int
	 */
	public function getSelf(): int
	{
		return $this->self;
	}
	
	/**
	 * @param int $self
	 */
	public function setSelf(int $self): void
	{
		$this->self = $self;
	}
	
	
	/**
	 * @return String
	 */
	public function getA(): string
	{
		return $this->a;
	}
	
	/**
	 * @return String
	 */
	public function getAaaa(): string
	{
		return $this->aaaa;
	}
	
	/**
	 * @return String
	 */
	public function getApikey(): string
	{
		return $this->apikey;
	}
	
	/**
	 * @return int
	 */
	public function getId(): int
	{
		return $this->id;
	}
	
	/**
	 * @param int $id
	 */
	public function setId(int $id): void
	{
		$this->id = $id;
	}
	
	/**
	 * @return String
	 */
	public function getName(): string
	{
		return $this->name;
	}
	
	
	/**
	 * @param String $apikey
	 */
	public function setApikey(string $apikey): void
	{
		$this->apikey = $apikey;
	}
	
	
	/**
	 * @param String $name
	 */
	public function setName(string $name): void
	{
		$this->name = $name;
	}
	
	/**
	 * @param String $a
	 */
	public function setA(string $a): void
	{
		$this->a = $a;
	}
	
	/**
	 * @param String $aaaa
	 */
	public function setAaaa(string $aaaa): void
	{
		$this->aaaa = $aaaa;
	}
	
}
